Subject: Re: Possible error in a.out.h?
From: Chris Faylor <[email-masked]>
To: "Read, Gordon" <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>
Date: Wed, 4 Aug 1999 16:23:23 -0400

On Wed, Aug 04, 1999 at 02:06:35PM +0100, Read, Gordon wrote:
>I have version B20 on NT 4.0 (gcc -v gives: gcc version egcs-2.91.57
>19980901 (egcs-1.1 release), but not sure if its relevant here)
>
>I think there is an error in a.out.h
>(...cygwin-b20/H-i586-cygwin32/i586-cygwin32/include/a.out.h)
>
>Near the end of the file I have the following defined:
>
>#define ISPTR(x)	(((x) & N_TMASK) =3D=3D (DT_PTR << N_BTSHFT))
>#define ISFCN(x)	(((x) & N_TMASK) =3D=3D (DT_FCN << N_BTSHFT))
>#define ISARY(x)	(((x) & N_TMASK) =3D=3D (DT_ARY << N_BTSHFT))
>
>gcc complains about the =3D=3D bits (understandably, it says "non-digits in
>number and not hexadecimal"), should these not be:
>
>#define ISPTR(x)	(((x) & N_TMASK) == (DT_PTR << N_BTSHFT))
>#define ISFCN(x)	(((x) & N_TMASK) == (DT_FCN << N_BTSHFT))
>#define ISARY(x)	(((x) & N_TMASK) == (DT_ARY << N_BTSHFT))
>
>What do you think? (unless my version of cygnus unpacked badly, but I don't
>think so)

Wow.  It's kind of you to call this a "possible error".  This is an
obvious boo boo on our part.  Thanks for pointing it out.  I've fixed
the problem in our development sources.

-chris

--
Want to unsubscribe from this list?
Send a message to [email-masked]